Page tree

Prérequis

ATTENTION

Faites une copie de votre base de données avant toute installation.

Validez obligatoirement votre installation en TEST avant de passer en PRODUCTION.

Une mise à jour assez longue intervient au premier lancement de la v2.4.3. Si vous avez plusieurs instances, lancez d'abord l'instance gestionnaire et attendez qu'elle soit démarrée pour lancer vos instances candidat. 

Mise en place

Evolutions

Nouvelle gestion d'authentification des comptes candidats

  • Les candidats choisissent eux même leur mot de passe suivant ces règles :
    • Le mot de passe doit contenir au moins une lettre minuscule
    • Le mot de passe doit contenir au moins une lettre majuscule
    • Le mot de passe doit contenir au moins un caractère spécial (@ # $ % ^ & + =)
    • Le mot de passe doit contenir au moins un chiffre
    • Le mot de passe ne doit pas contenir d'espace
    • Le mot de passe doit avoir une longueur minimum de 10 caractères
  • Les candidats peuvent changer leur mots de passe.
  • Meilleur sécurisation des liens de code d'activation.
  • Le mot de passe n'est plus transmis par email. Vous pouvez supprimer cette information du mail CPT_MIN_CREATE (Mail création compte minima).
  • Si un gestionnaire créé un compte pour un candidat, celui ci devra créer un mot de passe à sa première connexion.
  • Nouveaux mails : 
    • CPT_MIN_MDP_OUBLIE (Mail de réinitialisation de mot de passe)
    • CPT_MIN_LIEN_VALID_OUBLIE (Mail de validation de compte)
  • Suppression du mail CPT_MIN_ID_OUBLIE (Mail d'oubli d'identifiants)
  • Cette nouvelle gestion de mot de passe pourra intervenir en cours de campagne

Nouveau batch de synchronisation des gestionnaires

Ajout d'un témoin en service dans la table individu (peut permettre d'ignorer des personnes dans une liste de diffusion par exemple).

Interrogation Ldap pour chaque individu : 

  • Si l'individu n'existe pas, désactivation de l'individu (mise à jour du témoin)
  • Si l'individu existe et que ses données ont changées, mise à jour de l'individu (mail ou nom d'affichage)

Compatibilité Limesurvey v5.x et v6.x 

Ecandidat est dorénavant compatible avec les versions 5 et 6 de limesurvey. C'est le paramétrage par défaut de ecandidat.

Si vous souhaitez continuer à utiliser une v3.x vous devez renseigner le paramètre : "limesurvey.v3" à "true" dans le fichier de paramètre de votre tomcat.

Les v2.x ne sont plus supportées.

Corrections

Pégase

ATTENTION

Attention une nouvelle URL (ins-ext.url) doit être renseignée dans le fichier configUrlServicesPegase.properties.

  • Utilisation de l'api ins-ext pour la récupération des inscriptions d'un étudiant
  • Correction des URL pour la récupération des formations et des inscriptions

Mises à jour framework

Vaadin : 7.7.39→7.7.40

Spring : 5.2.24.RELEASE→5.2.25.RELEASE

Jackson : 2.14.1→2.15.2




  • No labels